Commit b8fc2884 authored by Doug Kehn's avatar Doug Kehn Committed by Thomas Petazzoni
Browse files

package/nss-pam-ldapd: new package



Name Service Switch (NSS) module that allows your LDAP server to provide
user account, group, host name, alias, netgroup, and basically any other
information that you would normally get from /etc flat files or NIS. It
also provides a Pluggable Authentication Module (PAM) to do
authentication to an LDAP server.

[Thomas:
 - bump to version 0.9.6
 - use --disable-<foo> rather than --enable-<foo>=no.
 - fix license information: there is no LICENSE file, it is named
   COPYING.]

Signed-off-by: default avatarDoug Kehn <rdkehn@yahoo.com>
Signed-off-by: default avatarThomas Petazzoni <thomas.petazzoni@free-electrons.com>
parent 0209b529
Loading
Loading
Loading
Loading
+1 −0
Original line number Diff line number Diff line
@@ -1057,6 +1057,7 @@ menu "Networking"
	source "package/libwebsockets/Config.in"
	source "package/neon/Config.in"
	source "package/nss-mdns/Config.in"
	source "package/nss-pam-ldapd/Config.in"
	source "package/omniorb/Config.in"
	source "package/openldap/Config.in"
	source "package/openpgm/Config.in"
+25 −0
Original line number Diff line number Diff line
config BR2_PACKAGE_NSS_PAM_LDAPD
	bool "nss-pam-ldapd"
	depends on BR2_TOOLCHAIN_USES_GLIBC
	select BR2_PACKAGE_OPENLDAP
	help
	  Name Service Switch (NSS) module that allows your LDAP
	  server to provide user account, group, host name, alias,
	  netgroup, and basically any other information that you would
	  normally get from /etc flat files or NIS. It also provides a
	  Pluggable Authentication Module (PAM) to do authentication
	  to an LDAP server.

	  http://arthurdejong.org/nss-pam-ldapd/

if BR2_PACKAGE_NSS_PAM_LDAPD

config BR2_PACKAGE_NSS_PAM_LDAPD_UTILITIES
	bool "nss-pam-ldapd utilities"
	help
	  Build/Install command-line utilities.

endif

comment "nss-pam-ldapd needs an (e)glibc toolchain"
	depends on !BR2_TOOLCHAIN_USES_GLIBC
+25 −0
Original line number Diff line number Diff line
#!/bin/sh

NAME="nslcd"
DAEMON="/usr/sbin/${NAME}"

case "$1" in
start)
        echo -n "Starting ${NAME}: "
        start-stop-daemon -S -x ${DAEMON}
        [ $? -eq 0 ] && echo "OK" || echo "FAIL"
        ;;
stop)
        echo -n "Stopping ${NAME}: "
        start-stop-daemon -K -x ${DAEMON}
        [ $? -eq 0 ] && echo "OK" || echo "FAIL"
        ;;
restart|reload)
        $0 stop
        $0 start
        ;;
*)
        echo "Usage: $0 {start|stop|restart|reload}"
        exit 1
esac
+11 −0
Original line number Diff line number Diff line
[Unit]
Description=Naming services LDAP client daemon.
After=syslog.target network.target

[Service]
Type=forking
PIDFile=/var/run/nslcd/nslcd.pid
ExecStart=/usr/sbin/nslcd

[Install]
WantedBy=multi-user.target
+4 −0
Original line number Diff line number Diff line
# From http://arthurdejong.org/nss-pam-ldapd/nss-pam-ldapd-0.9.6.tar.gz.md5
md5	fa5ec49cb54428d6c73e244a11021695	nss-pam-ldapd-0.9.6.tar.gz
# Locally computed:
sha256	101d5a7fa10549cc77be48d07f2b8141f59182f10f2cc0fea93efd13c3a5a6f2	nss-pam-ldapd-0.9.5.tar.gz
Loading